
local S = mobs.intllib



local damage = tonumber(minetest.settings:get("difficulty")) or 4

-- Dirt Monster by PilzAdam

mobs:register_mob("mobs_monster:testmonster", {
	type = "monster",
	passive = false,
	attack_type = "dogfight",
	pathfinding = true,
	reach = 2,
	damage = damage,
	hp_min = 3,
	hp_max = 27,
	armor = 100,
	collisionbox = {-0.4, -1, -0.4, 0.4, 0.8, 0.4},
	visual = "mesh",
	mesh = "1.obj",
	view_range = 15,
	walk_velocity = damage,
	run_velocity = damage,
	jump = true,
	
})


if not mobs.custom_spawn_monster then
mobs:spawn({
	name = "mobs_monster:testmonster",
	nodes = {"survival:dirtwithgrass1"},
	interval = 1,
	chance = 1,
	active_object_count = 20,
	min_height = 0,
})
end


mobs:register_egg("mobs_monster:testmonster", S("Monster"), "dirtQ1.png", 1)


mobs:alias_mob("mobs_monster:testmonster", "mobs_monster:testmonster") -- compatibility
